use chrono::NaiveDateTime;

use crate::types::{
    structs::countable_time::CountableTime, traits::countable_interface::ICountable, TimeValues,
};

use super::expiration_date::expiration_date;

pub type ExtractedDuration = (NaiveDateTime, String, i64);

pub fn get_expiration_time(time: TimeValues) -> ExtractedDuration {
    let time_duration = time.0.extract();
    let unmute_date = expiration_date(time);
    let postfix = CountableTime::from_value(time_duration)
        .get_postfix(time.0)
        .unwrap();

    (unmute_date, postfix, time_duration)
}
